Description

=begin

What about (C) ++/-- ?

=end

History

#1 - 05/04/2009 07:56 PM - matz (Yukihiro Matsumoto)

- Status changed from Open to Rejected

=begin

You can't define object-oriented semantics for increment/decrement operations.  They are assignments in theory.

=end

#2 - 05/06/2009 11:02 AM - rogerdpack (Roger Pack)

=begin

at times I do miss the elegance of being able to do ++

though it does hide the fact that it's internally assignment.  Primitives aren't quite as objecty as "normal" objects, so might be an appropriate fit.  Just

thinking out loud.

-=r

=end

#3 - 05/06/2009 11:31 AM - brent (Brent Roman)

=begin

Why is

a+=1

less elegant than

++a

However, I admit that using

(x=a; a+=1; x)

to replace

a++

is pretty evil looking.  (The postfix variants are a pain to emulate

correctly)

Are there other commonly used languages besides 'C' that support the ++ and

-- operators?

I always thought they were added to 'C' primarily to support efficient

pointer arithmetic --

something quite foreign to Ruby.

brent

Nobuyoshi Nakada-3 wrote:

Issue #1432 has been updated by Roger Pack.
View this message in context: http://www.nabble.com/-ruby-core%3A23357---Feature--1432--decrement-and-increment-tp23366229p23399031.html

Sent from the ruby-core mailing list archive at Nabble.com.

=end

#4 - 05/09/2009 12:33 PM - rogerdpack (Roger Pack)

=begin

yeah ++ is the one I miss.

-=r

=end

#5 - 05/09/2009 08:42 PM - matz (Yukihiro Matsumoto)

=begin

Hi,

In message "Re: [ruby-core:23405] Re: [Feature #1432] decrement and increment"

on Sat, 9 May 2009 15:38:53 +0900, "C.E. Thornton" admin@hawthorne-press.com writes:

|The question comes down to this:

|

|    Are we going to allow "Synatic Suger" of this

|    sort into Ruby?  We already do in sense - By allowing

|    more than one way to do things in most situations.

The answer is

we have to mind to add sugars easily

just because syntax sugar is modifying the syntax, and you have to be

slow to modify the syntax.

If we decide to add this particular sugar after serious consideration,

the following question arise:

what is the result of "syntax sugar" conversion.  simple += 1 is

suffice, or no?

      matz.

 =end

Powered by TCPDF (www.tcpdf.org)

07/17/2025 2/2

http://redmine.ruby-lang.org/issues/show/1432
http://redmine.ruby-lang.org
http://www.nabble.com/-ruby-core%3A23357---Feature--1432--decrement-and-increment-tp23366229p23399031.html
https://blade.ruby-lang.org/ruby-core/23405
https://bugs.ruby-lang.org/issues/1432
mailto:admin@hawthorne-press.com
http://www.tcpdf.org

